aboutsummaryrefslogtreecommitdiff
path: root/runs-all/get-reqs-arch.sh
diff options
context:
space:
mode:
authoriceyrazor <iceyrazor@mailfence.com>2026-06-09 23:14:29 -0500
committericeyrazor <iceyrazor@mailfence.com>2026-06-09 23:14:29 -0500
commit09156e6cea71093079af580acdd6d4a8594e14b9 (patch)
tree381f24b099e02826d62b4d527d114c74521666c0 /runs-all/get-reqs-arch.sh
parentc72cc63573dca6cc955a3fa611fc386e7bc83513 (diff)
Squashed commit of the following:
moved aur installer down switched to xlibre on install reqs added vis to env.sh switched to ugrep runs posix changes alias changes autostart fix hyprland config update
Diffstat (limited to 'runs-all/get-reqs-arch.sh')
-rwxr-xr-xruns-all/get-reqs-arch.sh31
1 files changed, 17 insertions, 14 deletions
diff --git a/runs-all/get-reqs-arch.sh b/runs-all/get-reqs-arch.sh
index 1292cdc..abc25d6 100755
--- a/runs-all/get-reqs-arch.sh
+++ b/runs-all/get-reqs-arch.sh
@@ -1,37 +1,40 @@
-#!/bin/sh
+#!/bin/bash
. /etc/os-release
-if [ "$ID" == "artix" ] || [ "$ID" == "arch" ]; then
+if [ "$ID" = "artix" ] || [ "$ID" = "arch" ]; then
sudo="sudo"
- [ doas ] && sudo="doas"
+ which doas && sudo="doas"
echo GETTING ALL REQS ARCH
#aur
install_aur=0
- read -p "install aur manager? [y/N]" uin
- if [ "$uin" == "y" ] || [ "$uin" == "Y" ]; then
+ printf "install aur manager? [y/N]"
+ read -r uin
+ if [ "$uin" = "y" ] || [ "$uin" = "Y" ]; then
install_aur=1
fi
- aurm="paru"
- if [ $install_aur == 1 ]; then
- git clone https://aur.archlinux.org/paru.git
- cd paru
- makepkg -si
- fi
+ export aurm="paru"
#ask what to install
- reqs_dir="$(find $script_dir/runs-all/get-reqs-arch -mindepth 1 -maxdepth 1 -type f -executable)"
+ reqs_dir="$(find "$script_dir/runs-all/get-reqs-arch" -mindepth 1 -maxdepth 1 -type f -executable)"
reqs_list=()
for s in $reqs_dir; do
- read -p "$s? [y/N]" uin
- if [ "$uin" == "y" ] || [ "$uin" == "Y" ]; then
+ printf -- "%s? [y/N]" "$s"
+ read -r uin
+ if [ "$uin" = "y" ] || [ "$uin" = "Y" ]; then
reqs_list+=("$s")
fi
done
echo --------------
+ if [ $install_aur = 1 ]; then
+ git clone https://aur.archlinux.org/paru.git
+ cd paru || exit
+ makepkg -si
+ fi
+
#install
for s in "${reqs_list[@]}"; do
echo "running $s"